Name: libtevent
Version: 0.9.18
Release: 2%{?dist}
Group: System Environment/Daemons
Summary: Talloc-based, event-driven mainloop
License: LGPLv3+
URL: http://tevent.samba.org/
Source: http://samba.org/ftp/tevent/tevent-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: libtalloc-devel
BuildRequires: doxygen
BuildRequires: docbook-style-xsl
BuildRequires: libxslt
BuildRequires: pkgconfig

Provides: bundled(libreplace)

# Patches
Patch0001:  tevent-0.9.18-relax-talloc-requirements.patch
Patch0002:  0001-tevent-Fix-Coverity-ID-989236-Operands-don-t-affect-.patch

%description
Tevent is an event system based on the talloc memory management library.
Tevent has support for many event types, including timers, signals, and
the classic file descriptor events.
Tevent also provide helpers to deal with asynchronous code providing the
tevent_req (Tevent Request) functions.

%package devel
Group: Development/Libraries
Summary: Developer tools for the Tevent library
Requires: libtevent = %{version}-%{release}
Requires: libtalloc-devel
Requires: pkgconfig

%description devel
Header files needed to develop programs that link against the Tevent library.

%prep
%setup -q -n tevent-%{version}
%patch0001 -p1 -b .talloc_minversion
%patch0002 -p3 -b .flags

%build
%configure --disable-rpath \
           --disable-python \
           --bundled-libraries=NONE \
           --builtin-libraries=replace
make %{?_smp_mflags} V=1
doxygen doxy.config

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Shared libraries need to be marked executable for
# rpmbuild to strip them and include them in debuginfo
find $RPM_BUILD_ROOT -name "*.so*" -exec chmod -c +x {} \;

rm -f $RPM_BUILD_ROOT%{_libdir}/libtevent.a

# Install API docs
rm -f doc/man/man3/todo*
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
cp -a doc/man/* $RPM_BUILD_ROOT/%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libtevent.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/tevent.h
%{_libdir}/libtevent.so
%{_libdir}/pkgconfig/tevent.pc
%{_mandir}/man3/tevent*.gz

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu Jun 20 2013 Jakub Hrozek <jhrozek@redhat.com> - 0.9.18-2
- Resolves: rhbz#975488 - Additional flags might have no effect
                          on 32bit architectures

* Tue May 14 2013 Jakub Hrozek <jhrozek@redhat.com> - 0.9.18-1
- Resolves: rhbz#951045 - Rebase libtevent to version 0.9.18
- Relax libtalloc requirements - only require 2.0.7 and do not check for
  pytalloc presence if python is disabled
- Drop the ABI compatibility patch (no longer needed)
- Drop the tevent_signal segv patch (upstreamed)

* Wed Aug 11 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.9.8-10
- Update summary

* Mon Mar 29 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.9.8-9
- Reduce talloc dependency

* Wed Feb 24 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.9.8-7
- Drop ABI compatibility patch (no longer needed)

* Wed Sep 23 2009 Simo Sorce <ssorce@redhat.com> - 0.9.8-5
- Add patch to fix a segfault case

* Wed Sep 16 2009 Simo Sorce <ssorce@redhat.com> - 0.9.8-2
- Fix abi compatibility with 0.9.3

* Sat Sep 8 2009 Simo Sorce <ssorce@redhat.com> - 0.9.8-1
- First independent release for tevent 0.9.8
